package m05bOrdenesTrabajoEJB;
import javax.ejb.CreateException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;

import m05bBD.m05bOrdenesTrabajo;
/**
 * This class is the Bean Implementation for the Entity EJB <tt>M05OrdenesTrabajoEB</tt>.
 *
 * @see     m05.exe.OrdenesTrabajo
 * @see     m05.exe.M05OrdenesTrabajoEB
 * @see     m05.exe.M05OrdenesTrabajoEBPK
 * @see     m05.exe.M05OrdenesTrabajoEBHome
 */
abstract public class m05OrdenesTrabajoBean implements EntityBean {
  private EntityContext ctx;
  

  public m05bOrdenesTrabajo getOrdenesTrabajo(){
    m05bOrdenesTrabajo ordenestrabajo = new m05bOrdenesTrabajo();
    ordenestrabajo.setOrd_codigo(getOrd_codigo());
    ordenestrabajo.setOrd_codtaller(getOrd_codtaller());
    ordenestrabajo.setOrd_conductor(getOrd_conductor());
    ordenestrabajo.setOrd_descrip(getOrd_descrip());
    ordenestrabajo.setOrd_desdpto(getOrd_desdpto());
    ordenestrabajo.setOrd_factura(getOrd_factura());
    ordenestrabajo.setOrd_fentrada(getOrd_fentrada());
    ordenestrabajo.setOrd_fsalida(getOrd_fsalida());
    ordenestrabajo.setOrd_fgarantia(getOrd_fgarantia());
    ordenestrabajo.setOrd_importe(getOrd_importe());
    ordenestrabajo.setOrd_kmentrada(getOrd_kmentrada());
    ordenestrabajo.setOrd_kmsalida(getOrd_kmsalida());
    ordenestrabajo.setOrd_matricula(getOrd_matricula());
    ordenestrabajo.setOrd_persona(getOrd_persona());
    ordenestrabajo.setOrd_telefono(getOrd_telefono());
    ordenestrabajo.setOrd_ffactura(getOrd_ffactura());
    ordenestrabajo.setOrd_notas(getOrd_notas());
    return ordenestrabajo;
  }

  /**
   * Sets the Modelo information of this E-EJB.
   * @exception P2GException
   *              If the given Modelo <tt>ord_codigo</tt> field
   *              does not match the primary key that is in the E-EJB.
   */
  public void setOrdenesTrabajo(m05bOrdenesTrabajo ordenestrabajo)
    throws Exception{

    //the primary key is never modified!!
    if (getOrd_codigo() != ordenestrabajo.getOrd_codigo())
      throw new CreateException ("Cannot modify a different modelo");
    setOrd_codigo(ordenestrabajo.getOrd_codigo());
    setOrd_codtaller(ordenestrabajo.getOrd_codtaller());
    setOrd_conductor(ordenestrabajo.getOrd_conductor());
    setOrd_descrip(ordenestrabajo.getOrd_descrip());
    setOrd_desdpto(ordenestrabajo.getOrd_desdpto());
    setOrd_factura(ordenestrabajo.getOrd_factura());
    setOrd_fentrada(ordenestrabajo.getOrd_fentrada());
    setOrd_fgarantia(ordenestrabajo.getOrd_fgarantia());
    setOrd_fsalida(ordenestrabajo.getOrd_fsalida());
    setOrd_importe(ordenestrabajo.getOrd_importe());
    setOrd_kmentrada(ordenestrabajo.getOrd_kmentrada());
    setOrd_kmsalida(ordenestrabajo.getOrd_kmsalida());
    setOrd_matricula(ordenestrabajo.getOrd_matricula());
    setOrd_persona(ordenestrabajo.getOrd_persona());
    setOrd_telefono(ordenestrabajo.getOrd_telefono());
    setOrd_ffactura(ordenestrabajo.getOrd_ffactura());
    setOrd_notas(ordenestrabajo.getOrd_notas());
  }

  abstract public String getOrd_codtaller();
  abstract public void setOrd_codtaller(String n);
  abstract public String getOrd_desdpto();
  abstract public void setOrd_desdpto(String n);
  abstract public String getOrd_factura();
  abstract public void setOrd_factura(String n);
  abstract public String getOrd_fentrada();
  abstract public void setOrd_fentrada(String n);
  abstract public String getOrd_kmsalida();
  abstract public void setOrd_kmsalida(String n);
  abstract public String getOrd_fsalida();
  abstract public void setOrd_fsalida(String n);
  abstract public String getOrd_fgarantia();
  abstract public void setOrd_fgarantia(String n);
  abstract public String getOrd_kmentrada();
  abstract public void setOrd_kmentrada(String n);
  abstract public String getOrd_importe();
  abstract public void setOrd_importe(String n);
  abstract public String getOrd_persona();
  abstract public void setOrd_persona(String n);
  abstract public String getOrd_matricula();
  abstract public void setOrd_matricula(String n);
  abstract public String getOrd_conductor();
  abstract public void setOrd_conductor(String n);
  abstract public String getOrd_codigo();
  abstract public void setOrd_codigo(String n);
  abstract public String getOrd_telefono();
  abstract public void setOrd_telefono(String n);
  abstract public String getOrd_descrip();
  abstract public void setOrd_descrip(String n);
  abstract public String getOrd_ffactura();
  abstract public void setOrd_ffactura(String n);
  abstract public String getOrd_notas();
  abstract public void setOrd_notas(String n);
  public void ejbActivate() {
  }

  public void ejbPassivate() {
  }

  public void setEntityContext(EntityContext ctx) {
    this.ctx = ctx;
  }

  public void unsetEntityContext() {
    this.ctx = null;
  }

  public void ejbLoad() {
  }
  public void ejbStore() {
  }

  public void ejbRemove()
    throws RemoveException
  {
  }

  /**
   * This function initializes the OrdenesTrabajo
   * information of this E-EJB.
   * It assigns a new primary key to the OrdenesTrabajo.
   * @see #getNewOrderNum()
   */
  public m05OrdenesTrabajoPK ejbCreate(m05bOrdenesTrabajo ordenestrabajo)
    throws CreateException
  {
    try {
      setOrd_codigo(ordenestrabajo.getOrd_codigo());
    } catch (Exception e) {
      throw new CreateException (e.getMessage());
    }
    setOrd_codtaller(ordenestrabajo.getOrd_codtaller());
    setOrd_conductor(ordenestrabajo.getOrd_conductor());
    setOrd_descrip(ordenestrabajo.getOrd_descrip());
    setOrd_desdpto(ordenestrabajo.getOrd_desdpto());
    setOrd_factura(ordenestrabajo.getOrd_factura());
    setOrd_fentrada(ordenestrabajo.getOrd_fentrada());
    setOrd_fgarantia(ordenestrabajo.getOrd_fgarantia());
    setOrd_fsalida(ordenestrabajo.getOrd_fsalida());
    setOrd_importe(ordenestrabajo.getOrd_importe());
    setOrd_kmentrada(ordenestrabajo.getOrd_kmentrada());
    setOrd_kmsalida(ordenestrabajo.getOrd_kmsalida());
    setOrd_matricula(ordenestrabajo.getOrd_matricula());
    setOrd_persona(ordenestrabajo.getOrd_persona());
    setOrd_telefono(ordenestrabajo.getOrd_telefono());
    setOrd_ffactura(ordenestrabajo.getOrd_ffactura());
    setOrd_notas(ordenestrabajo.getOrd_notas());
    return null;
  }
  public void ejbPostCreate(m05bOrdenesTrabajo ordenestrabajo)
  {
  }

}